AYUDA ACTIVAR LAYOUT CON VISUAL LISP

Ver el tema anterior Ver el tema siguiente Ir abajo

AYUDA ACTIVAR LAYOUT CON VISUAL LISP

Mensaje por ronaldtroya el Miér Abr 13, 2016 1:21 am

Estoy tratando de hacer una pequeña rutina y lo que necesito es el comando
(command "layout" "s" "Layout1")
pero en visual Lisp, porque como yo lo veo, de la forma como lo presento es muy lento
Agradezco mucho su valiosa ayuda.

ronaldtroya

Mensajes : 25
Fecha de inscripción : 20/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: AYUDA ACTIVAR LAYOUT CON VISUAL LISP

Mensaje por nolo el Miér Abr 13, 2016 3:37 pm

A ver, a menos de que estés trabajando todo en vlisp, no le veo la gracia.
Suponiendo que tienes capturado el documento activo en la variable doc y la capa en la variable layer1 (ojo la variable, no el nombre "layer1") cuando la creaste
Código:
(setq doc (vla-get-ActiveDocument (vlax-get-acad-object)))
-
-
(setq layer1 (vla-get-ActiveLayer doc))
-
Sería
Código:
(vla-put-ActiveLayer doc layer1)
Lo que pasa es que es mucho mas fácil en lisp
Código:
(setvar 'clayer "layer1")

Un saludo

nolo

Mensajes : 100
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: AYUDA ACTIVAR LAYOUT CON VISUAL LISP

Mensaje por ronaldtroya el Miér Abr 13, 2016 5:13 pm

Muchas gracias NOLO, pero al parecer no me he explicado correctamente, lo que busco es pasar de MODEL a Layout (presentación) indicando el nombre de la misma pero busco esto en VLISP
ok.

ronaldtroya

Mensajes : 25
Fecha de inscripción : 20/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: AYUDA ACTIVAR LAYOUT CON VISUAL LISP

Mensaje por ronaldtroya el Miér Abr 13, 2016 5:29 pm

Muchas gracias Nolo
y me respondo sería de esta manera

(defun ActivaLayout (lNOMBRE / doc layouts)
(setq doc (vla-get-activedocument (vlax-get-acad-object))
layouts (vla-get-layouts doc)
)
(vla-put-activelayout doc (vla-item layouts lNOMBRE))
(princ)
)

ronaldtroya

Mensajes : 25
Fecha de inscripción : 20/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: AYUDA ACTIVAR LAYOUT CON VISUAL LISP

Mensaje por nolo el Miér Abr 13, 2016 5:50 pm

No ...
Te explicaste correctamente, pero se me fue la hoya, perdona
Lo buscaré

Un saludo

nolo

Mensajes : 100
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: AYUDA ACTIVAR LAYOUT CON VISUAL LISP

Mensaje por nolo el Miér Abr 13, 2016 8:54 pm

Pues paar esto pasa lo mismo que para las capas, en lisp es mas sencillo
Código:
(setvar 'clayout lNOMBRE)

Un saludo

nolo

Mensajes : 100
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: AYUDA ACTIVAR LAYOUT CON VISUAL LISP

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.